Hi all i am trying to crosscompile Gtk application to arm-linux.
I created crossdevelopment tools and installed .
But the Gtk application is giving problem when linking.
The error message is as follows.

/opt/mtwk/usr/local/gcc-3.4.3-glibc-2.3.4/arm-linux/lib/gcc/arm-linux/3.4.3/../../../../arm-linux/bin/ld: skipping incompatible /usr/lib/libgnomeui-2.so when searching for -lgnomeui-2

/opt/mtwk/usr/local/gcc-3.4.3-glibc-2.3.4/arm-linux/lib/gcc/arm-linux/3.4.3/../../../../arm-linux/bin/ld: skipping incompatible /usr/lib/libgnomeui-2.a when searching for -lgnomeui-2

/opt/mtwk/usr/local/gcc-3.4.3-glibc-2.3.4/arm-linux/lib/gcc/arm-linux/3.4.3/../../../../arm-linux/bin/ld: cannot find -lgnomeui-2

If any body has any idea kindly reply me.

Thanks in advance,

Regards,
Harsha